Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234227 - permission of /var/log/xen/xend-debug.log wrong
Summary: permission of /var/log/xen/xend-debug.log wrong
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Markus Armbruster
QA Contact:
URL:
Whiteboard:
Depends On: 219868
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-27 19:04 UTC by Daniel Berrange
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHEA-2007-0635
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 17:10:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2007:0635 normal SHIPPED_LIVE xen enhancement update 2007-10-30 15:49:02 UTC

Description Daniel Berrange 2007-03-27 19:04:16 UTC
+++ This bug was initially created as a clone of Bug #219868 +++

Description of problem:
The /var/log/xen/xend-debug.log file has the wrong permission set, it includes
the execution bit.  This is not necessary and potentially a problem.

Version-Release number of selected component (if applicable):
xen-3.0.3-0.1

How reproducible:
always

Steps to Reproduce:
1.start xend
2.ls -l /var/log/xen/xend-debug.log
3.
  
Actual results:
-rwxr-xr-x 1 root root 21716 Dec 14 07:40 /var/log/xen/xend-debug.log


Expected results:
-rw-r--r-- 1 root root 21716 Dec 14 07:40 /var/log/xen/xend-debug.log


Additional info:

Comment 1 Markus Armbruster 2007-06-20 20:15:40 UTC
Fixed upstream in csets 14918 and 14923.  Resulting patch is a trivial one-liner.


Comment 2 RHEL Product and Program Management 2007-06-20 20:23:53 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Daniel Berrange 2007-06-26 19:23:30 UTC
Built as xen-3.0.3-30.el5 into dist-5E-qu-candidate

* Tue Jun 26 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-30.el5
- Permissions of xend-debug.log (rhbz 234227)


Comment 7 errata-xmlrpc 2007-11-07 17:10:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0635.html



Note You need to log in before you can comment on or make changes to this bug.